<div id="twofa">
  <v-card class="p-6 ui-card-2fa elevation-0" id="hideBottomInput">
    <div class="flex items-center justify-between">
      <p class="mb-0 text-lg font-semibold">2FA Authentication</p>
      <v-chip
        class="d-flex"
        :class="isTwofa ? '!bg-bg-green-shade' : 'bg-bg-hover'"
      >
        <div
          class="flex items-center text-content-subtitle"
          :class="isTwofa ? 'text-content-badge-basic-plan' : 'text-content-subtitle'"
        >
          <v-icon :color="isTwofa ? '#0E9F6E' : '#6B7280'" size="8"
            >mdi-circle</v-icon
          >
          <span class="text-inherit ml-1.5">
            {{isTwofa ? 'Activated' : 'Not activated'}}
          </span>
        </div>
      </v-chip>
    </div>
    <div class="mt-2">
      <p class="mb-0 text-sm text-content-primary">
        <span v-if="!isTwofa">
          Enable Two-Factor Authentication (2FA) for added protection.
        </span>
        <span v-else> Input your password to change your 2FA Code </span>
      </p>
    </div>
    <div v-if="qrCode">
      <div class="mt-2">
        <p class="mb-0 text-sm text-content-primary text-center">
          Please scan the QR code below
        </p>
        <div class="flex justify-center mt-2">
          <img :src="qrCode" alt="" width="212px" height="212px" />
        </div>
        <div class="max-w-[320px] mx-auto">
          <div class="mt-4 flex justify-between">
            <p class="mb-0 text-sm font-semibold text-content-main">
              Enter the 2FA code
            </p>
            <!-- <p class="mb-0 text-sm font-semibold text-content-brand">
              How to activate 2FA?
            </p> -->
          </div>
          <v-text-field
            dense
            outlined
            placeholder="Enter code here"
            class="rounded-lg mt-1"
            v-model="code"
          ></v-text-field>
          <v-btn
            color="#3B82F6"
            class="mt-4 elevation-0 rounded-lg"
            height="40px"
            block
            @click="onConfirm()"
          >
            <span class="text-white font-semibold capitalize">
              Active 2FA Authentication
            </span>
          </v-btn>
        </div>
      </div>
    </div>
    <div v-else>
      <div class="mt-2">
        <p class="mb-0 text-sm font-semibold text-content-main">
          Enter your password
        </p>
        <v-text-field
          dense
          outlined
          placeholder="Enter your password here"
          v-model="password"
          :append-icon="isHidePassword ? 'mdi-eye' : 'mdi-eye-off'"
          :type="isHidePassword ? 'text' : 'password'"
          @click:append="isHidePassword = !isHidePassword"
          class="mt-1"
        ></v-text-field>
      </div>
      <div class="mt-6">
        <v-btn
          v-if="!isTwofa"
          color="#3B82F6"
          class="elevation-0"
          height="44px"
          @click="onActive2Fa()"
        >
          <span class="white--text font-semibold capitalize text-sm">
            Active 2FA Authentication
          </span>
        </v-btn>
        <v-btn
          v-else
          color="#3B82F6"
          class="elevation-0"
          height="44px"
          outlined
          @click="onInactive2Fa()"
        >
          <span class="font-semibold capitalize text-sm">
            Disable 2FA Code
          </span>
        </v-btn>
      </div>
    </div>
  </v-card>
</div>
